Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata.mtm
Class MtmDerivedAttributeMap

    java.lang.Object
      |
      +--oracle.olapi.metadata.BaseMetadataObject
            |
            +--oracle.olapi.metadata.mtm.MtmObject
                  |
                  +--oracle.olapi.metadata.mtm.MtmSourceMap
                        |
                        +--oracle.olapi.metadata.mtm.MtmAttributeMap
                              |
                              +--oracle.olapi.metadata.mtm.MtmDerivedAttributeMap

public class MtmDerivedAttributeMap
extends MtmAttributeMap

An `MtmAttributeMap` for an `MdmAttribute` whose values are not explicitly stored but are derived from a column or columns in a dimension table. The `MdmAttribute` values can be different for each `MdmDimension` to which the `MdmAttribute` applies.

There are several types of `MtmDerivedAttributeMap` objects. You can discover the type of an `MtmDerivedAttributeMap` by calling its `getDerivedAttributeType` method. Each type maps the tables and expressions for an `MdmAttribute` that records different information. The following types are supported:

- Ancestors. The `MdmAttribute` records the ancestor elements for each `MdmDimension` element, within each hierarchy.
- Parent. The `MdmAttribute` records the parent element for each `MdmDimension` element, within each hierarchy.
- Level. The `MdmAttribute` records the level for each `MdmDimension` element, within each hierarchy.
- LevelDepth. The `MdmAttribute` records, for each `MdmDimension` element, integers that indicate the distance from the top of each hierarchy to which the element belongs. The top level is indicated by zero (0), the next level is one (1), and so on.
- LocalValue. The `MdmAttribute` records the local value for each `MdmDimension` element. The local value is the level value of the dimension. For example, `106` is the local value of an element of the `SHIP_TO` level of the `SHIPMENTS_ROLLUP` hierarchy of the `CUSTOMER` dimension. In the OLAP API, `MdmDimension` element values are unique values, which include the name of the hierarchy and the level and the local value, separated by a value separation string, as in `SHIPMENTS_ROLLUP::SHIP_TO::106`.
- Hierarchy. The `MdmAttribute` records the hierarchy for each `MdmDimension` element.
- IsCustomMember. The `MdmAttribute` records whether or not each `MdmDimension` element is a custom member. For elements explicitly created by calling the createCustomMember() or createCustomMeasure() methods, the value will be true. For all other elements, the value will be false.

Method Summary
`java.lang.Object` | `acceptVisitor(MtmObjectVisitor visitor, java.lang.Object context)` Calls the `visitMtmDerivedAttributeMap` method of the specified `MtmObjectVisitor` and passes that method this `MtmDerivedAttributeMap` and the specified `context` object.
`java.lang.String` | `getDerivedAttributeType()` Gets the type of this `MtmDerivedAttributeMap`.

Methods inherited from class oracle.olapi.metadata.mtm.MtmSourceMap
`getMdmSource, setMdmSource`

Methods inherited from class oracle.olapi.metadata.BaseMetadataObject
`getID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### acceptVisitor

    public java.lang.Object acceptVisitor(MtmObjectVisitor visitor,
                                          java.lang.Object context)

  Calls the `visitMtmDerivedAttributeMap` method of the specified `MtmObjectVisitor` and passes that method this `MtmDerivedAttributeMap` and the specified `context` object.
  Overrides:
    acceptVisitor in class MtmObject
  Parameters:
    `visitor` - An `MtmObjectVisitor`.
    `context` - An `Object`.
  Returns:
    The `Object` returned by the `visitMtmDerivedAttributeMap` method.

### getDerivedAttributeType

    public java.lang.String getDerivedAttributeType()

  Gets the type of this `MtmDerivedAttributeMap`.
  Returns:
    A `String` that indicates the type of this `MtmDerivedAttributeMap`. Possible values are `Ancestors`, `Parent`, `Level`, `LevelDepth`, and `LocalValue`. See the description of this class for information about these types.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.